/*
 *  Copyright (c) 2001,2020 Alex Leigh, All Rights Reserved
 *
 *  THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF ALEX LEIGH The copyright
 *  notice above does not evidence any actual or intended publication of such
 *  source code.
 *
 *  Use, disclosure, copying, distribution, or transmission of this code without
 *  express permission is prohibited.
 */

package leigh.elements.javafx.type1;

import javafx.scene.control.TableColumn;
import leigh.eo.EO;

/**
 * This class extends the {@link javafx.scene.control.TableColumn} to add functionality to store the data property name that the column
 * represents.
 *
 * @author Alex Leigh
 */
public class VisionTableColumn extends TableColumn<EO, String> {
    private final String name;

    public VisionTableColumn(String label, String name) {
        super(label);
        this.name = name;
    }

    public String getName() {
        return name;
    }

    @Override
    public String toString() {
        return "GridTableColumn{" +
                "attrName='" + name + '\'' +
                "} " + super.toString();
    }
}
